## Object in JScript

This test passes a XCallback to an UNO function of the UNO test control. XCallback is implemented by the JScript class XCallback_Impl. The function XCallback::func1 is then called from the UNO test control.
On the UNO object the function testInterface is called which takes a XCallback as parameter. XCallback is implemented in a JScript object.The function returns a XSimple Interface. Then the UNO object calls XSimple::notify. This test shall verify the correct conversion of the return value( IDispatch JScript object) to an XSimple object.

# out parameter

The a JScript object of class XCallback_Impl is passed to the UNO OleTest Control as parameter. According to the buttons the OleTest object calls a function on XCallback_Impl that has appropriate type as out parameter.
Other test with out parameters

# in out parameter

# Attributes

Other tests with inout parameters

# in parameters

# JScript object implements several interfaces